org.jfree.chart.renderer

## Class RendererUtilities

- java.lang.Object
- - org.jfree.chart.renderer.RendererUtilities

-     public class RendererUtilities
      extends java.lang.Object

  Utility methods related to the rendering process.
  Since:
    1.0.6

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RendererUtilities()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int[]` | `findLiveItems(XYDataset dataset, int series, double xLow, double xHigh)` Finds a range of item indices that is guaranteed to contain all the x-values from x0 to x1 (inclusive).
    `static int` | `findLiveItemsLowerBound(XYDataset dataset, int series, double xLow, double xHigh)` Finds the lower index of the range of live items in the specified data series.
    `static int` | `findLiveItemsUpperBound(XYDataset dataset, int series, double xLow, double xHigh)` Finds the upper index of the range of live items in the specified data series.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RendererUtilities

          public RendererUtilities()

  - ### Method Detail

    - #### findLiveItemsLowerBound

          public static int findLiveItemsLowerBound(XYDataset dataset,
                                                    int series,
                                                    double xLow,
                                                    double xHigh)

      Finds the lower index of the range of live items in the specified data series.
      Parameters:
        `dataset` - the dataset (`null` not permitted).
        `series` - the series index.
        `xLow` - the lowest x-value in the live range.
        `xHigh` - the highest x-value in the live range.
      Returns:
        The index of the required item.
      Since:
        1.0.6
      See Also:
        `findLiveItemsUpperBound(XYDataset, int, double, double)`

    - #### findLiveItemsUpperBound

          public static int findLiveItemsUpperBound(XYDataset dataset,
                                                    int series,
                                                    double xLow,
                                                    double xHigh)

      Finds the upper index of the range of live items in the specified data series.
      Parameters:
        `dataset` - the dataset (`null` not permitted).
        `series` - the series index.
        `xLow` - the lowest x-value in the live range.
        `xHigh` - the highest x-value in the live range.
      Returns:
        The index of the required item.
      Since:
        1.0.6
      See Also:
        `findLiveItemsLowerBound(XYDataset, int, double, double)`

    - #### findLiveItems

          public static int[] findLiveItems(XYDataset dataset,
                                            int series,
                                            double xLow,
                                            double xHigh)

      Finds a range of item indices that is guaranteed to contain all the x-values from x0 to x1 (inclusive).
      Parameters:
        `dataset` - the dataset (`null` not permitted).
        `series` - the series index.
        `xLow` - the lower bound of the x-value range.
        `xHigh` - the upper bound of the x-value range.
      Returns:
        The indices of the boundary items.